aboutsummaryrefslogtreecommitdiff
path: root/third_party/get_libevhtp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/get_libevhtp.sh')
-rwxr-xr-xthird_party/get_libevhtp.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/third_party/get_libevhtp.sh b/third_party/get_libevhtp.sh
index c270813..cfcada9 100755
--- a/third_party/get_libevhtp.sh
+++ b/third_party/get_libevhtp.sh
@@ -9,17 +9,19 @@
cd $(dirname "$0")
THIRD_PARTY=$(pwd)
+LIBEVHTP_VERSION=1.2.11n
+
mkdir -p include lib
rm -rf $THIRD_PARTY/libevhtp
-curl -L https://github.com/ellzey/libevhtp/archive/1.2.10.tar.gz | tar xz || exit 1
-mv libevhtp-1.2.10 $THIRD_PARTY/libevhtp || exit 1
+curl -L https://github.com/ellzey/libevhtp/archive/$LIBEVHTP_VERSION.tar.gz | tar xz || exit 1
+mv libevhtp-$LIBEVHTP_VERSION $THIRD_PARTY/libevhtp || exit 1
cd $THIRD_PARTY/libevhtp || exit 1
cmake -D EVHTP_DISABLE_REGEX:BOOL=ON . || exit 1
make evhtp || exit 1
-cp -rf evhtp-config.h evhtp.h evthr/evthr.h htparse/htparse.h $THIRD_PARTY/include/ || exit 1
+cp -rf *.h $THIRD_PARTY/include/ || exit 1
cp -f libevhtp.a $THIRD_PARTY/lib/ || exit 1
rm -rf $THIRD_PARTY/libevhtp